GNU bug report logs - #48370
native-comp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Konrad Podczeck <konrad.podczeck@HIDDEN>; merged with #47783; dated Tue, 11 May 2021 21:49:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48370 <at> debbugs.gnu.org:


Received: (at 48370) by debbugs.gnu.org; 12 May 2021 12:56:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 08:56:15 2021
Received: from localhost ([127.0.0.1]:38382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgoPP-0002Zc-PN
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 08:56:15 -0400
Received: from mx.sdf.org ([205.166.94.24]:58910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lgoPO-0002ZV-Kx
 for 48370 <at> debbugs.gnu.org; Wed, 12 May 2021 08:56:15 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 14CCuC7x029946
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 12 May 2021 12:56:13 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Konrad Podczeck <konrad.podczeck@HIDDEN>
Subject: Re: bug#48370: native-comp
References: <78B88DF1-6284-4468-AAD3-910931532764@HIDDEN>
 <xjfa6p0rkgw.fsf@HIDDEN>
 <E8D80252-3209-49B8-88EF-6F3D8FDA2042@HIDDEN>
Date: Wed, 12 May 2021 12:56:12 +0000
In-Reply-To: <E8D80252-3209-49B8-88EF-6F3D8FDA2042@HIDDEN> (Konrad
 Podczeck's message of "Wed, 12 May 2021 14:37:36 +0200")
Message-ID: <xjf5yzoqff7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48370
Cc: 48370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Konrad Podczeck <konrad.podczeck@HIDDEN> writes:

> Hi Andrea,
>
> thanks for your reply. Following one of the mails in the treat of 47783, I started Emacs from the command line and then everything worked well.
>
> Best,
>
> Konrad

Cool, I've merged the two bugs then.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48370; Package emacs. Full text available.
Merged 47783 48370. Request was from Andrea Corallo <akrl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48370 <at> debbugs.gnu.org:


Received: (at 48370) by debbugs.gnu.org; 12 May 2021 12:37:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 08:37:48 2021
Received: from localhost ([127.0.0.1]:38343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgo7Y-00023T-Id
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 08:37:48 -0400
Received: from grace.univie.ac.at ([131.130.3.115]:35626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <konrad.podczeck@HIDDEN>) id 1lgo7T-00023G-Sx
 for 48370 <at> debbugs.gnu.org; Wed, 12 May 2021 08:37:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=univie.ac.at; s=rev2; h=To:References:Message-Id:Content-Transfer-Encoding:
 Cc:Date:In-Reply-To:From:Subject:Mime-Version:Content-Type:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID;
 bh=NCaIaUmexwzoDNcCJFFM4hNMNfwrySftmjM/XkJkas0=; b=YUTtP0SrvlCy5HsJXN/+2DJorT
 QfrlXEdjdPD9L1fJ+nZmi+fW5fF48VD1NtBR4XBYBVoWg7u9x02zhi2lC+zemejWlPopTelffvJmZ
 94ZDV0AvE4CX1TOMBDsNBuu4kSZeT6WC4oAwwgojzYyFQ82zBK7gWFwklwPMO5uW1HVE=;
Received: from jarvis.univie.ac.at ([131.130.3.112] helo=jarvis.univie.ac.at)
 by grace.univie.ac.at with esmtps (TLS1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.94.2) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgo7O-00HBHX-VM; Wed, 12 May 2021 14:37:38 +0200
Received: from 188-23-30-212.adsl.highway.telekom.at ([188.23.30.212]
 helo=smtpclient.apple)
 by jarvis.univie.ac.at with esmtpsa (TLS1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.94.2) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgo7O-006mrz-5V; Wed, 12 May 2021 14:37:38 +0200
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.80.0.2.43\))
Subject: Re: bug#48370: native-comp
From: Konrad Podczeck <konrad.podczeck@HIDDEN>
In-Reply-To: <xjfa6p0rkgw.fsf@HIDDEN>
Date: Wed, 12 May 2021 14:37:36 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <E8D80252-3209-49B8-88EF-6F3D8FDA2042@HIDDEN>
References: <78B88DF1-6284-4468-AAD3-910931532764@HIDDEN>
 <xjfa6p0rkgw.fsf@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
X-Mailer: Apple Mail (2.3654.80.0.2.43)
X-Univie-Virus-Scan: scanned by ClamAV on jarvis.univie.ac.at
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48370
Cc: 48370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Andrea,

thanks for your reply. Following one of the mails in the treat of 47783, =
I started Emacs from the command line and then everything worked well.

Best,

Konrad


> Am 12.05.2021 um 00:09 schrieb Andrea Corallo <akrl@HIDDEN>:
>=20
> Konrad Podczeck <konrad.podczeck@HIDDEN> writes:
>=20
>> I have compiled Emacs with the option --with-native-compilation. But =
then, after starting Emacs, I get more that 80 error messages, all =
having the form:
>>=20
>> Warning (comp): libgccjit.so: error: error invoking gcc driver =
Disable showing Disable logging
>> Warning (comp):
>> =
/Users/konradpodczeck/Git/emacs-28/nextstep/Emacs.app/Contents/Resources/l=
isp/emacs-lisp/cl-lib.el.gz:
>> Error: Internal native compiler error failed to compile Disable
>> showing Disable logging
>>=20
>> (This was the first one, the following ones differ just in the =
el-file invoked.)
>>=20
>> I am using gcc 11.1.0 and libgccjit 11.1.0, both installed from =
homebrew on macos =E2=80=9Cbig sur."
>=20
> Hi Konrad,
>=20
> this should be a duplicate of 47783 (environment related issue), =
please
> have a look.
>=20
> Regards
>=20
>  Andrea





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48370; Package emacs. Full text available.

Message received at 48370 <at> debbugs.gnu.org:


Received: (at 48370) by debbugs.gnu.org; 11 May 2021 22:09:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 18:09:40 2021
Received: from localhost ([127.0.0.1]:37721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgaZP-0001XG-TR
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 18:09:40 -0400
Received: from mx.sdf.org ([205.166.94.24]:52164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lgaZN-0001X7-GJ
 for 48370 <at> debbugs.gnu.org; Tue, 11 May 2021 18:09:38 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 14BM9ZO4000246
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 11 May 2021 22:09:36 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Konrad Podczeck <konrad.podczeck@HIDDEN>
Subject: Re: bug#48370: native-comp
References: <78B88DF1-6284-4468-AAD3-910931532764@HIDDEN>
Date: Tue, 11 May 2021 22:09:35 +0000
In-Reply-To: <78B88DF1-6284-4468-AAD3-910931532764@HIDDEN> (Konrad
 Podczeck's message of "Tue, 11 May 2021 23:48:48 +0200")
Message-ID: <xjfa6p0rkgw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48370
Cc: 48370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Konrad Podczeck <konrad.podczeck@HIDDEN> writes:

> I have compiled Emacs with the option --with-native-compilation. But then=
, after starting Emacs, I get more that 80 error messages, all having the f=
orm:
>
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable sh=
owing Disable logging
> Warning (comp):
> /Users/konradpodczeck/Git/emacs-28/nextstep/Emacs.app/Contents/Resources/=
lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging
>
> (This was the first one, the following ones differ just in the el-file in=
voked.)
>
> I am using gcc 11.1.0 and libgccjit 11.1.0, both installed from homebrew =
on macos =E2=80=9Cbig sur."

Hi Konrad,

this should be a duplicate of 47783 (environment related issue), please
have a look.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48370; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2021 21:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 17:49:01 2021
Received: from localhost ([127.0.0.1]:37697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgaFQ-00011Z-To
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 17:49:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:37740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <konrad.podczeck@HIDDEN>) id 1lgaFP-00011R-1Q
 for submit <at> debbugs.gnu.org; Tue, 11 May 2021 17:48:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52600)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgaFO-0003Tr-Oy
 for bug-gnu-emacs@HIDDEN; Tue, 11 May 2021 17:48:58 -0400
Received: from grace.univie.ac.at ([2001:62a:4:25::25:115]:54232)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgaFM-00040K-5N
 for bug-gnu-emacs@HIDDEN; Tue, 11 May 2021 17:48:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=univie.ac.at; s=rev2; h=To:Date:Message-Id:Subject:Mime-Version:
 Content-Transfer-Encoding:Content-Type:From:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References;
 bh=yWRMfh0rFe6EQHK6YFICO+pnVu/QYszVdwx48WBLpbc=; b=EGjHLY9HG+lJi0/1w7vezLY14b
 NjkhIycp0kutKZdsoR57654cTZ3OrbW2FD0vnc0SuR17x/oe3BvQ32u272IgtseMujK4DXLhC/+M0
 SGz1MLX9fogMaMnIySntAW0Ys7jSqJ63b/A/9jWrq8SLjCaSFyz5ECLq3QUoBzZ6ca+U=;
Received: from jarvis.univie.ac.at ([131.130.3.112] helo=jarvis.univie.ac.at)
 by grace.univie.ac.at with esmtps (TLS1.3:TLS_AES_256_GCM_SHA384:256)
 (Exim 4.94.2) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgaFG-00FHjN-EW
 for bug-gnu-emacs@HIDDEN; Tue, 11 May 2021 23:48:50 +0200
Received: from 188-23-25-71.adsl.highway.telekom.at ([188.23.25.71]
 helo=smtpclient.apple)
 by jarvis.univie.ac.at with esmtpsa (TLS1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.94.2) (envelope-from <konrad.podczeck@HIDDEN>)
 id 1lgaFF-0060af-O3
 for bug-gnu-emacs@HIDDEN; Tue, 11 May 2021 23:48:50 +0200
From: Konrad Podczeck <konrad.podczeck@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.80.0.2.43\))
Subject: native-comp
Message-Id: <78B88DF1-6284-4468-AAD3-910931532764@HIDDEN>
Date: Tue, 11 May 2021 23:48:48 +0200
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3654.80.0.2.43)
X-Univie-Virus-Scan: scanned by ClamAV on jarvis.univie.ac.at
Received-SPF: none client-ip=2001:62a:4:25::25:115;
 envelope-from=konrad.podczeck@HIDDEN; helo=grace.univie.ac.at
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I have compiled Emacs with the option --with-native-compilation. But =
then, after starting Emacs, I get more that 80 error messages, all =
having the form:

Warning (comp): libgccjit.so: error: error invoking gcc driver Disable =
showing Disable logging
Warning (comp): =
/Users/konradpodczeck/Git/emacs-28/nextstep/Emacs.app/Contents/Resources/l=
isp/emacs-lisp/cl-lib.el.gz: Error: Internal native compiler error =
failed to compile Disable showing Disable logging

(This was the first one, the following ones differ just in the el-file =
invoked.)

I am using gcc 11.1.0 and libgccjit 11.1.0, both installed from homebrew =
on macos =E2=80=9Cbig sur."=




Acknowledgement sent to Konrad Podczeck <konrad.podczeck@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48370; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 10 Jun 2021 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.